#!/bin/sh -e

# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see https://www.gnu.org/licenses/.

cd '{{ goupile_root_path }}/repo'
USER=$(stat -c '%U' .)

# Get remote changes
sudo -u $USER git fetch --all --prune --tags --force
sudo -u $USER git switch --discard-changes --detach HEAD
sudo -u $USER sh -c "git show-ref --heads | cut -d ' ' -f 2 | xargs -r -n1 basename | xargs -r -n1 git branch -D 2>/dev/null"
sudo -u $USER git switch --discard-changes --detach '{{ goupile_commit }}'

# Build Goupile
sudo -u $USER ./bootstrap.sh
sudo -u $USER ./felix -pParanoid --host=:clang-13:lld-13 goupile

# Install Goupile
rsync -cp bin/Paranoid/goupile '{{ goupile_root_path }}/goupile'
chown root:root '{{ goupile_root_path }}/goupile'
